# Type Alias WidgetNewsflashContent

type WidgetNewsflashContent = {
buttonBackgroundColor?: string;
buttonTextColor?: string;
colorFilter?: string;
css?: Record<string, string | number>;
opacityFilter?: number;
view?: NewsflashView;
}

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:7

##### Index

### Properties

buttonBackgroundColor?
buttonTextColor?
colorFilter?
css?
opacityFilter?
view?

## Properties

### `Optional` buttonBackgroundColor

buttonBackgroundColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:12

### `Optional` buttonTextColor

buttonTextColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:13

### `Optional` colorFilter

colorFilter?: string

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:10

### `Optional` css

css?: Record<string, string | number>

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:9

### `Optional` opacityFilter

opacityFilter?: number

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:11

### `Optional` view

view?: NewsflashView

- Defined in jamespot-user-api/src/types/widgets/widgetNewsflash.ts:8